Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network98.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
98.128.0.0
Broadcast address
98.255.255.255
First usable
98.128.0.1
Last usable
98.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 62800000 · Integer 1652555776 to 1660944383
Reverse DNS zones
128.98.in-addr.arpa
129.98.in-addr.arpa
130.98.in-addr.arpa
131.98.in-addr.arpa
132.98.in-addr.arpa
133.98.in-addr.arpa
134.98.in-addr.arpa
135.98.in-addr.arpa
136.98.in-addr.arpa
137.98.in-addr.arpa
138.98.in-addr.arpa
139.98.in-addr.arpa
140.98.in-addr.arpa
141.98.in-addr.arpa
142.98.in-addr.arpa
143.98.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100010.10000000.00000000.0000000098.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01100010.10000000.00000000.0000000098.128.0.0
Broadcast01100010.11111111.11111111.1111111198.255.255.255
Split into smaller subnets/19

98.128.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
198.128.0.0/1998.128.0.1 to 98.128.31.25498.128.31.2558,190
298.128.32.0/1998.128.32.1 to 98.128.63.25498.128.63.2558,190
398.128.64.0/1998.128.64.1 to 98.128.95.25498.128.95.2558,190
498.128.96.0/1998.128.96.1 to 98.128.127.25498.128.127.2558,190
598.128.128.0/1998.128.128.1 to 98.128.159.25498.128.159.2558,190
698.128.160.0/1998.128.160.1 to 98.128.191.25498.128.191.2558,190
798.128.192.0/1998.128.192.1 to 98.128.223.25498.128.223.2558,190
898.128.224.0/1998.128.224.1 to 98.128.255.25498.128.255.2558,190
998.129.0.0/1998.129.0.1 to 98.129.31.25498.129.31.2558,190
1098.129.32.0/1998.129.32.1 to 98.129.63.25498.129.63.2558,190
1198.129.64.0/1998.129.64.1 to 98.129.95.25498.129.95.2558,190
1298.129.96.0/1998.129.96.1 to 98.129.127.25498.129.127.2558,190
1398.129.128.0/1998.129.128.1 to 98.129.159.25498.129.159.2558,190
1498.129.160.0/1998.129.160.1 to 98.129.191.25498.129.191.2558,190
1598.129.192.0/1998.129.192.1 to 98.129.223.25498.129.223.2558,190
1698.129.224.0/1998.129.224.1 to 98.129.255.25498.129.255.2558,190
1798.130.0.0/1998.130.0.1 to 98.130.31.25498.130.31.2558,190
1898.130.32.0/1998.130.32.1 to 98.130.63.25498.130.63.2558,190
1998.130.64.0/1998.130.64.1 to 98.130.95.25498.130.95.2558,190
2098.130.96.0/1998.130.96.1 to 98.130.127.25498.130.127.2558,190
2198.130.128.0/1998.130.128.1 to 98.130.159.25498.130.159.2558,190
2298.130.160.0/1998.130.160.1 to 98.130.191.25498.130.191.2558,190
2398.130.192.0/1998.130.192.1 to 98.130.223.25498.130.223.2558,190
2498.130.224.0/1998.130.224.1 to 98.130.255.25498.130.255.2558,190
2598.131.0.0/1998.131.0.1 to 98.131.31.25498.131.31.2558,190
2698.131.32.0/1998.131.32.1 to 98.131.63.25498.131.63.2558,190
2798.131.64.0/1998.131.64.1 to 98.131.95.25498.131.95.2558,190
2898.131.96.0/1998.131.96.1 to 98.131.127.25498.131.127.2558,190
2998.131.128.0/1998.131.128.1 to 98.131.159.25498.131.159.2558,190
3098.131.160.0/1998.131.160.1 to 98.131.191.25498.131.191.2558,190
3198.131.192.0/1998.131.192.1 to 98.131.223.25498.131.223.2558,190
3298.131.224.0/1998.131.224.1 to 98.131.255.25498.131.255.2558,190
3398.132.0.0/1998.132.0.1 to 98.132.31.25498.132.31.2558,190
3498.132.32.0/1998.132.32.1 to 98.132.63.25498.132.63.2558,190
3598.132.64.0/1998.132.64.1 to 98.132.95.25498.132.95.2558,190
3698.132.96.0/1998.132.96.1 to 98.132.127.25498.132.127.2558,190
3798.132.128.0/1998.132.128.1 to 98.132.159.25498.132.159.2558,190
3898.132.160.0/1998.132.160.1 to 98.132.191.25498.132.191.2558,190
3998.132.192.0/1998.132.192.1 to 98.132.223.25498.132.223.2558,190
4098.132.224.0/1998.132.224.1 to 98.132.255.25498.132.255.2558,190
4198.133.0.0/1998.133.0.1 to 98.133.31.25498.133.31.2558,190
4298.133.32.0/1998.133.32.1 to 98.133.63.25498.133.63.2558,190
4398.133.64.0/1998.133.64.1 to 98.133.95.25498.133.95.2558,190
4498.133.96.0/1998.133.96.1 to 98.133.127.25498.133.127.2558,190
4598.133.128.0/1998.133.128.1 to 98.133.159.25498.133.159.2558,190
4698.133.160.0/1998.133.160.1 to 98.133.191.25498.133.191.2558,190
4798.133.192.0/1998.133.192.1 to 98.133.223.25498.133.223.2558,190
4898.133.224.0/1998.133.224.1 to 98.133.255.25498.133.255.2558,190
4998.134.0.0/1998.134.0.1 to 98.134.31.25498.134.31.2558,190
5098.134.32.0/1998.134.32.1 to 98.134.63.25498.134.63.2558,190
5198.134.64.0/1998.134.64.1 to 98.134.95.25498.134.95.2558,190
5298.134.96.0/1998.134.96.1 to 98.134.127.25498.134.127.2558,190
5398.134.128.0/1998.134.128.1 to 98.134.159.25498.134.159.2558,190
5498.134.160.0/1998.134.160.1 to 98.134.191.25498.134.191.2558,190
5598.134.192.0/1998.134.192.1 to 98.134.223.25498.134.223.2558,190
5698.134.224.0/1998.134.224.1 to 98.134.255.25498.134.255.2558,190
5798.135.0.0/1998.135.0.1 to 98.135.31.25498.135.31.2558,190
5898.135.32.0/1998.135.32.1 to 98.135.63.25498.135.63.2558,190
5998.135.64.0/1998.135.64.1 to 98.135.95.25498.135.95.2558,190
6098.135.96.0/1998.135.96.1 to 98.135.127.25498.135.127.2558,190
6198.135.128.0/1998.135.128.1 to 98.135.159.25498.135.159.2558,190
6298.135.160.0/1998.135.160.1 to 98.135.191.25498.135.191.2558,190
6398.135.192.0/1998.135.192.1 to 98.135.223.25498.135.223.2558,190
6498.135.224.0/1998.135.224.1 to 98.135.255.25498.135.255.2558,190
6598.136.0.0/1998.136.0.1 to 98.136.31.25498.136.31.2558,190
6698.136.32.0/1998.136.32.1 to 98.136.63.25498.136.63.2558,190
6798.136.64.0/1998.136.64.1 to 98.136.95.25498.136.95.2558,190
6898.136.96.0/1998.136.96.1 to 98.136.127.25498.136.127.2558,190
6998.136.128.0/1998.136.128.1 to 98.136.159.25498.136.159.2558,190
7098.136.160.0/1998.136.160.1 to 98.136.191.25498.136.191.2558,190
7198.136.192.0/1998.136.192.1 to 98.136.223.25498.136.223.2558,190
7298.136.224.0/1998.136.224.1 to 98.136.255.25498.136.255.2558,190
7398.137.0.0/1998.137.0.1 to 98.137.31.25498.137.31.2558,190
7498.137.32.0/1998.137.32.1 to 98.137.63.25498.137.63.2558,190
7598.137.64.0/1998.137.64.1 to 98.137.95.25498.137.95.2558,190
7698.137.96.0/1998.137.96.1 to 98.137.127.25498.137.127.2558,190
7798.137.128.0/1998.137.128.1 to 98.137.159.25498.137.159.2558,190
7898.137.160.0/1998.137.160.1 to 98.137.191.25498.137.191.2558,190
7998.137.192.0/1998.137.192.1 to 98.137.223.25498.137.223.2558,190
8098.137.224.0/1998.137.224.1 to 98.137.255.25498.137.255.2558,190
8198.138.0.0/1998.138.0.1 to 98.138.31.25498.138.31.2558,190
8298.138.32.0/1998.138.32.1 to 98.138.63.25498.138.63.2558,190
8398.138.64.0/1998.138.64.1 to 98.138.95.25498.138.95.2558,190
8498.138.96.0/1998.138.96.1 to 98.138.127.25498.138.127.2558,190
8598.138.128.0/1998.138.128.1 to 98.138.159.25498.138.159.2558,190
8698.138.160.0/1998.138.160.1 to 98.138.191.25498.138.191.2558,190
8798.138.192.0/1998.138.192.1 to 98.138.223.25498.138.223.2558,190
8898.138.224.0/1998.138.224.1 to 98.138.255.25498.138.255.2558,190
8998.139.0.0/1998.139.0.1 to 98.139.31.25498.139.31.2558,190
9098.139.32.0/1998.139.32.1 to 98.139.63.25498.139.63.2558,190
9198.139.64.0/1998.139.64.1 to 98.139.95.25498.139.95.2558,190
9298.139.96.0/1998.139.96.1 to 98.139.127.25498.139.127.2558,190
9398.139.128.0/1998.139.128.1 to 98.139.159.25498.139.159.2558,190
9498.139.160.0/1998.139.160.1 to 98.139.191.25498.139.191.2558,190
9598.139.192.0/1998.139.192.1 to 98.139.223.25498.139.223.2558,190
9698.139.224.0/1998.139.224.1 to 98.139.255.25498.139.255.2558,190
9798.140.0.0/1998.140.0.1 to 98.140.31.25498.140.31.2558,190
9898.140.32.0/1998.140.32.1 to 98.140.63.25498.140.63.2558,190
9998.140.64.0/1998.140.64.1 to 98.140.95.25498.140.95.2558,190
10098.140.96.0/1998.140.96.1 to 98.140.127.25498.140.127.2558,190
10198.140.128.0/1998.140.128.1 to 98.140.159.25498.140.159.2558,190
10298.140.160.0/1998.140.160.1 to 98.140.191.25498.140.191.2558,190
10398.140.192.0/1998.140.192.1 to 98.140.223.25498.140.223.2558,190
10498.140.224.0/1998.140.224.1 to 98.140.255.25498.140.255.2558,190
10598.141.0.0/1998.141.0.1 to 98.141.31.25498.141.31.2558,190
10698.141.32.0/1998.141.32.1 to 98.141.63.25498.141.63.2558,190
10798.141.64.0/1998.141.64.1 to 98.141.95.25498.141.95.2558,190
10898.141.96.0/1998.141.96.1 to 98.141.127.25498.141.127.2558,190
10998.141.128.0/1998.141.128.1 to 98.141.159.25498.141.159.2558,190
11098.141.160.0/1998.141.160.1 to 98.141.191.25498.141.191.2558,190
11198.141.192.0/1998.141.192.1 to 98.141.223.25498.141.223.2558,190
11298.141.224.0/1998.141.224.1 to 98.141.255.25498.141.255.2558,190
11398.142.0.0/1998.142.0.1 to 98.142.31.25498.142.31.2558,190
11498.142.32.0/1998.142.32.1 to 98.142.63.25498.142.63.2558,190
11598.142.64.0/1998.142.64.1 to 98.142.95.25498.142.95.2558,190
11698.142.96.0/1998.142.96.1 to 98.142.127.25498.142.127.2558,190
11798.142.128.0/1998.142.128.1 to 98.142.159.25498.142.159.2558,190
11898.142.160.0/1998.142.160.1 to 98.142.191.25498.142.191.2558,190
11998.142.192.0/1998.142.192.1 to 98.142.223.25498.142.223.2558,190
12098.142.224.0/1998.142.224.1 to 98.142.255.25498.142.255.2558,190
12198.143.0.0/1998.143.0.1 to 98.143.31.25498.143.31.2558,190
12298.143.32.0/1998.143.32.1 to 98.143.63.25498.143.63.2558,190
12398.143.64.0/1998.143.64.1 to 98.143.95.25498.143.95.2558,190
12498.143.96.0/1998.143.96.1 to 98.143.127.25498.143.127.2558,190
12598.143.128.0/1998.143.128.1 to 98.143.159.25498.143.159.2558,190
12698.143.160.0/1998.143.160.1 to 98.143.191.25498.143.191.2558,190
12798.143.192.0/1998.143.192.1 to 98.143.223.25498.143.223.2558,190
12898.143.224.0/1998.143.224.1 to 98.143.255.25498.143.255.2558,190
12998.144.0.0/1998.144.0.1 to 98.144.31.25498.144.31.2558,190
13098.144.32.0/1998.144.32.1 to 98.144.63.25498.144.63.2558,190
13198.144.64.0/1998.144.64.1 to 98.144.95.25498.144.95.2558,190
13298.144.96.0/1998.144.96.1 to 98.144.127.25498.144.127.2558,190
13398.144.128.0/1998.144.128.1 to 98.144.159.25498.144.159.2558,190
13498.144.160.0/1998.144.160.1 to 98.144.191.25498.144.191.2558,190
13598.144.192.0/1998.144.192.1 to 98.144.223.25498.144.223.2558,190
13698.144.224.0/1998.144.224.1 to 98.144.255.25498.144.255.2558,190
13798.145.0.0/1998.145.0.1 to 98.145.31.25498.145.31.2558,190
13898.145.32.0/1998.145.32.1 to 98.145.63.25498.145.63.2558,190
13998.145.64.0/1998.145.64.1 to 98.145.95.25498.145.95.2558,190
14098.145.96.0/1998.145.96.1 to 98.145.127.25498.145.127.2558,190
14198.145.128.0/1998.145.128.1 to 98.145.159.25498.145.159.2558,190
14298.145.160.0/1998.145.160.1 to 98.145.191.25498.145.191.2558,190
14398.145.192.0/1998.145.192.1 to 98.145.223.25498.145.223.2558,190
14498.145.224.0/1998.145.224.1 to 98.145.255.25498.145.255.2558,190
14598.146.0.0/1998.146.0.1 to 98.146.31.25498.146.31.2558,190
14698.146.32.0/1998.146.32.1 to 98.146.63.25498.146.63.2558,190
14798.146.64.0/1998.146.64.1 to 98.146.95.25498.146.95.2558,190
14898.146.96.0/1998.146.96.1 to 98.146.127.25498.146.127.2558,190
14998.146.128.0/1998.146.128.1 to 98.146.159.25498.146.159.2558,190
15098.146.160.0/1998.146.160.1 to 98.146.191.25498.146.191.2558,190
15198.146.192.0/1998.146.192.1 to 98.146.223.25498.146.223.2558,190
15298.146.224.0/1998.146.224.1 to 98.146.255.25498.146.255.2558,190
15398.147.0.0/1998.147.0.1 to 98.147.31.25498.147.31.2558,190
15498.147.32.0/1998.147.32.1 to 98.147.63.25498.147.63.2558,190
15598.147.64.0/1998.147.64.1 to 98.147.95.25498.147.95.2558,190
15698.147.96.0/1998.147.96.1 to 98.147.127.25498.147.127.2558,190
15798.147.128.0/1998.147.128.1 to 98.147.159.25498.147.159.2558,190
15898.147.160.0/1998.147.160.1 to 98.147.191.25498.147.191.2558,190
15998.147.192.0/1998.147.192.1 to 98.147.223.25498.147.223.2558,190
16098.147.224.0/1998.147.224.1 to 98.147.255.25498.147.255.2558,190
16198.148.0.0/1998.148.0.1 to 98.148.31.25498.148.31.2558,190
16298.148.32.0/1998.148.32.1 to 98.148.63.25498.148.63.2558,190
16398.148.64.0/1998.148.64.1 to 98.148.95.25498.148.95.2558,190
16498.148.96.0/1998.148.96.1 to 98.148.127.25498.148.127.2558,190
16598.148.128.0/1998.148.128.1 to 98.148.159.25498.148.159.2558,190
16698.148.160.0/1998.148.160.1 to 98.148.191.25498.148.191.2558,190
16798.148.192.0/1998.148.192.1 to 98.148.223.25498.148.223.2558,190
16898.148.224.0/1998.148.224.1 to 98.148.255.25498.148.255.2558,190
16998.149.0.0/1998.149.0.1 to 98.149.31.25498.149.31.2558,190
17098.149.32.0/1998.149.32.1 to 98.149.63.25498.149.63.2558,190
17198.149.64.0/1998.149.64.1 to 98.149.95.25498.149.95.2558,190
17298.149.96.0/1998.149.96.1 to 98.149.127.25498.149.127.2558,190
17398.149.128.0/1998.149.128.1 to 98.149.159.25498.149.159.2558,190
17498.149.160.0/1998.149.160.1 to 98.149.191.25498.149.191.2558,190
17598.149.192.0/1998.149.192.1 to 98.149.223.25498.149.223.2558,190
17698.149.224.0/1998.149.224.1 to 98.149.255.25498.149.255.2558,190
17798.150.0.0/1998.150.0.1 to 98.150.31.25498.150.31.2558,190
17898.150.32.0/1998.150.32.1 to 98.150.63.25498.150.63.2558,190
17998.150.64.0/1998.150.64.1 to 98.150.95.25498.150.95.2558,190
18098.150.96.0/1998.150.96.1 to 98.150.127.25498.150.127.2558,190
18198.150.128.0/1998.150.128.1 to 98.150.159.25498.150.159.2558,190
18298.150.160.0/1998.150.160.1 to 98.150.191.25498.150.191.2558,190
18398.150.192.0/1998.150.192.1 to 98.150.223.25498.150.223.2558,190
18498.150.224.0/1998.150.224.1 to 98.150.255.25498.150.255.2558,190
18598.151.0.0/1998.151.0.1 to 98.151.31.25498.151.31.2558,190
18698.151.32.0/1998.151.32.1 to 98.151.63.25498.151.63.2558,190
18798.151.64.0/1998.151.64.1 to 98.151.95.25498.151.95.2558,190
18898.151.96.0/1998.151.96.1 to 98.151.127.25498.151.127.2558,190
18998.151.128.0/1998.151.128.1 to 98.151.159.25498.151.159.2558,190
19098.151.160.0/1998.151.160.1 to 98.151.191.25498.151.191.2558,190
19198.151.192.0/1998.151.192.1 to 98.151.223.25498.151.223.2558,190
19298.151.224.0/1998.151.224.1 to 98.151.255.25498.151.255.2558,190
19398.152.0.0/1998.152.0.1 to 98.152.31.25498.152.31.2558,190
19498.152.32.0/1998.152.32.1 to 98.152.63.25498.152.63.2558,190
19598.152.64.0/1998.152.64.1 to 98.152.95.25498.152.95.2558,190
19698.152.96.0/1998.152.96.1 to 98.152.127.25498.152.127.2558,190
19798.152.128.0/1998.152.128.1 to 98.152.159.25498.152.159.2558,190
19898.152.160.0/1998.152.160.1 to 98.152.191.25498.152.191.2558,190
19998.152.192.0/1998.152.192.1 to 98.152.223.25498.152.223.2558,190
20098.152.224.0/1998.152.224.1 to 98.152.255.25498.152.255.2558,190
20198.153.0.0/1998.153.0.1 to 98.153.31.25498.153.31.2558,190
20298.153.32.0/1998.153.32.1 to 98.153.63.25498.153.63.2558,190
20398.153.64.0/1998.153.64.1 to 98.153.95.25498.153.95.2558,190
20498.153.96.0/1998.153.96.1 to 98.153.127.25498.153.127.2558,190
20598.153.128.0/1998.153.128.1 to 98.153.159.25498.153.159.2558,190
20698.153.160.0/1998.153.160.1 to 98.153.191.25498.153.191.2558,190
20798.153.192.0/1998.153.192.1 to 98.153.223.25498.153.223.2558,190
20898.153.224.0/1998.153.224.1 to 98.153.255.25498.153.255.2558,190
20998.154.0.0/1998.154.0.1 to 98.154.31.25498.154.31.2558,190
21098.154.32.0/1998.154.32.1 to 98.154.63.25498.154.63.2558,190
21198.154.64.0/1998.154.64.1 to 98.154.95.25498.154.95.2558,190
21298.154.96.0/1998.154.96.1 to 98.154.127.25498.154.127.2558,190
21398.154.128.0/1998.154.128.1 to 98.154.159.25498.154.159.2558,190
21498.154.160.0/1998.154.160.1 to 98.154.191.25498.154.191.2558,190
21598.154.192.0/1998.154.192.1 to 98.154.223.25498.154.223.2558,190
21698.154.224.0/1998.154.224.1 to 98.154.255.25498.154.255.2558,190
21798.155.0.0/1998.155.0.1 to 98.155.31.25498.155.31.2558,190
21898.155.32.0/1998.155.32.1 to 98.155.63.25498.155.63.2558,190
21998.155.64.0/1998.155.64.1 to 98.155.95.25498.155.95.2558,190
22098.155.96.0/1998.155.96.1 to 98.155.127.25498.155.127.2558,190
22198.155.128.0/1998.155.128.1 to 98.155.159.25498.155.159.2558,190
22298.155.160.0/1998.155.160.1 to 98.155.191.25498.155.191.2558,190
22398.155.192.0/1998.155.192.1 to 98.155.223.25498.155.223.2558,190
22498.155.224.0/1998.155.224.1 to 98.155.255.25498.155.255.2558,190
22598.156.0.0/1998.156.0.1 to 98.156.31.25498.156.31.2558,190
22698.156.32.0/1998.156.32.1 to 98.156.63.25498.156.63.2558,190
22798.156.64.0/1998.156.64.1 to 98.156.95.25498.156.95.2558,190
22898.156.96.0/1998.156.96.1 to 98.156.127.25498.156.127.2558,190
22998.156.128.0/1998.156.128.1 to 98.156.159.25498.156.159.2558,190
23098.156.160.0/1998.156.160.1 to 98.156.191.25498.156.191.2558,190
23198.156.192.0/1998.156.192.1 to 98.156.223.25498.156.223.2558,190
23298.156.224.0/1998.156.224.1 to 98.156.255.25498.156.255.2558,190
23398.157.0.0/1998.157.0.1 to 98.157.31.25498.157.31.2558,190
23498.157.32.0/1998.157.32.1 to 98.157.63.25498.157.63.2558,190
23598.157.64.0/1998.157.64.1 to 98.157.95.25498.157.95.2558,190
23698.157.96.0/1998.157.96.1 to 98.157.127.25498.157.127.2558,190
23798.157.128.0/1998.157.128.1 to 98.157.159.25498.157.159.2558,190
23898.157.160.0/1998.157.160.1 to 98.157.191.25498.157.191.2558,190
23998.157.192.0/1998.157.192.1 to 98.157.223.25498.157.223.2558,190
24098.157.224.0/1998.157.224.1 to 98.157.255.25498.157.255.2558,190
24198.158.0.0/1998.158.0.1 to 98.158.31.25498.158.31.2558,190
24298.158.32.0/1998.158.32.1 to 98.158.63.25498.158.63.2558,190
24398.158.64.0/1998.158.64.1 to 98.158.95.25498.158.95.2558,190
24498.158.96.0/1998.158.96.1 to 98.158.127.25498.158.127.2558,190
24598.158.128.0/1998.158.128.1 to 98.158.159.25498.158.159.2558,190
24698.158.160.0/1998.158.160.1 to 98.158.191.25498.158.191.2558,190
24798.158.192.0/1998.158.192.1 to 98.158.223.25498.158.223.2558,190
24898.158.224.0/1998.158.224.1 to 98.158.255.25498.158.255.2558,190
24998.159.0.0/1998.159.0.1 to 98.159.31.25498.159.31.2558,190
25098.159.32.0/1998.159.32.1 to 98.159.63.25498.159.63.2558,190
25198.159.64.0/1998.159.64.1 to 98.159.95.25498.159.95.2558,190
25298.159.96.0/1998.159.96.1 to 98.159.127.25498.159.127.2558,190
25398.159.128.0/1998.159.128.1 to 98.159.159.25498.159.159.2558,190
25498.159.160.0/1998.159.160.1 to 98.159.191.25498.159.191.2558,190
25598.159.192.0/1998.159.192.1 to 98.159.223.25498.159.223.2558,190
25698.159.224.0/1998.159.224.1 to 98.159.255.25498.159.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses